## fuel-web 9.0+dfsg1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
PLANTUML      = plantuml.jar
PLANTUML_FROM_PKG  = /usr/share/plantuml/plantuml.jar


# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  pdf        to make PDF using rst2pdf"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

$(PLANTUML):
	@if [ -f $(PLANTUML_FROM_PKG) ]; \
	then \
		echo "Have installed plantuml. Creating link $(PLANTUML) on $(PLANTUML_FROM_PKG)."; \
		ln -sf $(PLANTUML_FROM_PKG) $(PLANTUML); \
	else \
		echo "Downloading plantuml.jar."; \
		wget https://downloads.sourceforge.net/project/plantuml/plantuml.jar -O $(PLANTUML); \
	fi
	$(ACTION.TOUCH)

html: $(PLANTUML)
	$(SPHINXBUILD) -b html -W $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/fuel.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/fuel.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/fuel"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/fuel"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

pdf:
	$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) $(BUILDDIR)/pdf
	@echo
	@echo "Build finished; the PDF file is in $(BUILDDIR)/pdf."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== nailgun/requirements.txt ===
Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3
Jinja2>=2.7
Mako>=0.9.1
MarkupSafe>=0.18
PyYAML>=3.1.0
alembic>=0.8.0
amqplib>=1.0.2
anyjson>=0.3.3
decorator>=3.4.0
fysom>=1.0.11
iso8601>=0.1.9
jsonschema>=2.3.0,<3.0.0,!=2.5.0
kombu>=3.0.16
netaddr>=0.7.12,!=0.7.16
oslo.config>=2.3.0
oslo.serialization>=1.4.0
SQLAlchemy>=0.9.9,<1.1.0
# oslo.db has no upper bound for sqlalchemy-migrate, and latest
# sqlalchemy-migrate requires conflicting version of pbr.
sqlalchemy-migrate>=0.9.6
oslo.db>2.4.1
ply>=3.4
psycopg2>=2.5.1
pycrypto>=2.6.1
requests>=2.5.2,!=2.8.0,!=2.9.0
simplejson>=3.3.0
six>=1.9.0
urllib3>=1.8.3
web.py>=0.37
wsgilog>=0.3
wsgiref>=0.1.2
keystonemiddleware>=2.0.0,!=2.4.0
# we might still need keystone command
python-keystoneclient>=1.6.0,!=1.8.0
python-novaclient>=2.28.1,!=2.33.0
python-cinderclient>=1.3.1
networkx>=1.10
pydot-ng>=1.0.0
oslo.utils>2.0.0,!=2.6.0
# NOTE(prmtl): not all packages has correctly
# requirements for stevedore - some of them install
# newest one which case version conflicts
# See: https://bugs.launchpad.net/fuel/+bug/1481212
stevedore>=1.5.0
# NOTE(akscram): pinned until 18.6.2 because the installation in
# the editable mode is broken
# See: https://bugs.launchpad.net/fuel/+bug/1519727
setuptools<=18.5
yaql>=1.0.0

=== debian/changelog ===
fuel-web (9.0+dfsg1-4) unstable; urgency=medium

  * Cleans /var/log/nailgun on purge (Closes: #827379).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2016 10:05:00 +0200

fuel-web (9.0+dfsg1-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Create /etc/fuel/fuel-uuid in postinst.

  [ Ondřej Nový ]
  * Removed dependency to libapache2-mod-uwsgi and uwsgi - it's not needed
    (Closes: #825351)
  * Fixed typo in nailgun-common.postinst.in

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jun 2016 06:46:08 +0000

fuel-web (9.0+dfsg1-2) unstable; urgency=medium

  * Fixed -s /bin/sh when calling db_sync and in fuel-reset-db.
  * No contrib and non-free in the security repo.
  * Fixed firmware package names.
  * Fixed admin network gateway.
  * Added Depends: apache2 in fuel-web-apache (Closes: #825173).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 13:40:00 +0200

fuel-web (9.0+dfsg1-1) unstable; urgency=medium

  * Initial release. (Closes: #814407)

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 07:44:15 +0000

=== debian/control ===
Source: fuel-web
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 39~),
               python-all,
               python-setuptools (>= 0.7.0),
               python-sphinx,
Build-Depends-Indep: locales-all | language-pack-en,
                     postgresql,
                     postgresql-client,
                     postgresql-server-dev-all,
                     psmisc,
                     python-amqplib (>= 1.0.2),
                     python-anyjson (>= 0.3.3),
                     python-babel,
                     python-crypto,
                     python-decorator (>= 3.4.0),
                     python-fixtures,
                     python-fysom (>= 1.0.11),
                     python-hacking,
                     python-iso8601,
                     python-jinja2 (>= 2.7),
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-kombu (>= 3.0.16),
                     python-mako (>= 0.9.1),
                     python-markupsafe,
                     python-mock (>= 1.0.1),
                     python-netaddr (>= 0.7.10),
                     python-networkx (>= 1.10),
                     python-nose,
                     python-nose-timer,
                     python-nose2,
                     python-novaclient (>= 2:2.28.1),
                     python-oslo.config (>= 1:1.2.1),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-ply,
                     python-psycopg2 (>= 2.5.1),
                     python-pydot-ng (>= 1.0.0),
                     python-requests (>= 2.5.2),
                     python-shotgun (>= 0.1.0),
                     python-simplejson,
                     python-sphinxcontrib.actdiag (>= 0.6.0),
                     python-sphinxcontrib.blockdiag (>= 1.3.0),
                     python-sphinxcontrib.nwdiag (>= 0.7.0),
                     python-sphinxcontrib.plantuml,
                     python-sphinxcontrib.seqdiag (>= 0.6.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-unittest2,
                     python-urllib3 (>= 1.8.3),
                     python-webpy,
                     python-webtest,
                     python-wsgilog (>= 0.3),
                     python-yaml (>= 3.10),
                     rst2pdf,
Standards-Version: 3.9.8
Homepage: https://github.com/openstack/fuel-web
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/fuel-web.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/fuel-web.git

Package: python-nailgun
Architecture: all
Section: python
Depends: alembic (>= 0.8.0),
         python-amqplib (>= 1.0.2),
         python-anyjson (>= 0.3.3),
         python-babel,
         python-cinderclient (>= 1.3.1),
         python-crypto,
         python-decorator (>= 3.4.0),
         python-fysom (>= 1.0.11),
         python-iso8601,
         python-jinja2 (>= 2.7),
         python-jsonschema,
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-kombu (>= 3.0.16),
         python-mako (>= 0.9.1),
         python-markupsafe,
         python-migrate (>= 0.9.6),
         python-netaddr (>= 0.7.12),
         python-networkx (>= 1.10),
         python-novaclient (>= 2:2.28.1),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-ply,
         python-psycopg2 (>= 2.5.1),
         python-pydot-ng (>= 1.0.0),
         python-requests (>= 2.5.2),
         python-shotgun (>= 0.1.0),
         python-simplejson,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-urllib3 (>= 1.8.3),
         python-webpy,
         python-wsgilog (>= 0.3),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Fuel deployment server - Python lib
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the Python 2.x modules and libraries.

Package: fuel-web-apache
Architecture: all
Depends: apache2 (>= 2.4),
         ${misc:Depends},
Description: OpenStack Fuel deployment server - Apache config
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the Apache configuration.

Package: nailgun-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         astute,
         fuel-library,
         python-nailgun (= ${binary:Version}),
         uuid-runtime,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Fuel deployment server - common files
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the common files.

Package: nailgun-api
Architecture: all
Depends: nailgun-common (= ${binary:Version}),
         python-nailgun (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Fuel deployment server - REST API server
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the nailgun REST API server.

Package: nailgun-assassin
Architecture: all
Depends: nailgun-common (= ${binary:Version}),
         python-nailgun (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Fuel deployment server - assassin server
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the assassin daemon. It periodically checks online nodes
 and marks them offline if they weren't recently found.

Package: nailgun-reciever
Architecture: all
Depends: nailgun-common (= ${binary:Version}),
         python-nailgun (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Fuel deployment server - reciever
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 Nailgun is the core part of a Fuel master node server. It consists of a REST
 API server (nailgun-api), and a web interface (nailgun-web).
 .
 This package provides the reciever daemon. It consumes rabbitmq tasks and
 handles periodic or asynchronous jobs.

Package: fencing-agent
Architecture: all
Depends: ohai,
         ruby | ruby-interpreter,
         ruby-cstruct,
         ruby-httpclient,
         ruby-json,
         ruby-rethtool,
         ${misc:Depends},
Description: OpenStack Fuel deployment server - Fencing agent
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_clean:
	echo "Do nothing"

override_dh_auto_install:
	set -e ; set -x ; cd nailgun ; for i in $(PYTHONS) ; do \
		python$$i setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp ; \
	done
	# This overrides the normal distributed openstack.yaml from upstream,
	# adding Debian support to it.
	#cp debian/openstack.yaml $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/nailgun/fixtures
	# This could be used instead to do only Debian
	#cp debian/debian.yaml $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/nailgun/fixtures


override_dh_clean:
	rm -rf  build
	dh_clean -O--buildsystem=python_distutils
	rm -f debian/nailgun-common.postinst
	rm -f debian/*.service debian/*.init debian/*.upstart

#       set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \

override_dh_auto_build:
	#dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nailgun-common.postinst

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing

	# Why nailgun installs it there?
	rm $(CURDIR)/debian/python-nailgun/usr/lib/python2.7/dist-packages/nailgun/settings.yaml

	# Rename the daemons with a non-generic name
	mv $(CURDIR)/debian/nailgun-common/usr/bin/receiverd $(CURDIR)/debian/nailgun-common/usr/bin/nailgun-recieverd
	mv $(CURDIR)/debian/nailgun-common/usr/bin/assassind $(CURDIR)/debian/nailgun-common/usr/bin/nailgun-assassind

	# Fix the settings.yaml with proper defaults
	sed -i "s#STATIC_DIR: \"/var/tmp/nailgun_static\"#STATIC_DIR: \"/usr/share/nailgun/static\"#" $(CURDIR)/debian/nailgun-common/etc/nailgun/settings.yaml
	sed -i 's|^  host: "localhost"|  host: "/var/run/postgresql"|' $(CURDIR)/debian/nailgun-common/etc/nailgun/settings.yaml
	sed -i 's|LISTEN_PORT: "8000"|LISTEN_PORT: "8001"|' $(CURDIR)/debian/nailgun-common/etc/nailgun/settings.yaml
	sed -i 's|DEVELOPMENT:.*|DEVELOPMENT: 0|' $(CURDIR)/debian/nailgun-common/etc/nailgun/settings.yaml
	mkdir -p $(CURDIR)/debian/nailgun-common/etc

	# Seems like nailgun wants that... FOOL !
	echo "9.0" >$(CURDIR)/debian/nailgun-common/etc/fuel_release 
	echo "mitaka-9.0" >$(CURDIR)/debian/nailgun-common/etc/fuel_openstack_version 

	install -D -m 0775 bin/fencing-agent.rb $(CURDIR)/debian/fencing-agent/usr/bin/nailgun-fencing-agent

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "Not running unit tests as it's currently still buggy."
	#chmod +x debian/run_tests.sh debian/start_pg.sh
	#./debian/run_tests.sh || true
endif

override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/",dversionmangle=s/\+dfsg\d+$// \
https://github.com/openstack/fuel-web/tags .*/(\d[\d\.]+)\.tar\.gz
